jmcneill | 1 Mar 03:10 2009
Picon

pkg/40814: mono build failure on NetBSD/sgimips 5.0

>Number:         40814
>Category:       pkg
>Synopsis:       mono build failure on NetBSD/sgimips 5.0
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 01 02:10:00 +0000 2009
>Originator:     Jared D. McNeill
>Release:        NetBSD 5.0_RC2
>Organization:
	
>Environment:
	
	
System: NetBSD o2 5.0_RC2 NetBSD 5.0_RC2 (GENERIC32_IP3x) #1: Sun Feb 22 18:50:16 EST 2009
jmcneill <at> black.invisible.ca:/export/home/jmcneill/branches/netbsd-5/src/sys/arch/sgimips/compile/obj/GENERIC32_IP3x sgimips
Architecture: mipseb
Machine: sgimips
>Description:
	The mono package fails to build on 5.0/sgimips:

	/bin/sh ../../libtool --quiet --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../..  
-I/usr/pkg/include -I/usr/include -D_REENTRANT -DGC_NETBSD_THREADS -D_GNU_SOURCE
-DPLATFORM_BSD  -DNO_UNALIGNED_ACCESS -I../.. -I../../libgc/include -pthread
-I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/lib/glib-2.0/include   -O2 -pipe -mabi=32
-mtune=vr5000 -march=mips3 -I/usr/pkg/include -I/usr/include -fno-strict-aliasing
(Continue reading)

jmcneill | 1 Mar 13:45 2009
Picon

pkg/40932: gnome-power-manager build failure on 5.0/sgimips

>Number:         40932
>Category:       pkg
>Synopsis:       gnome-power-manager build failure on 5.0/sgimips
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 01 12:45:00 +0000 2009
>Originator:     Jared D. McNeill
>Release:        NetBSD 5.0_RC2
>Organization:
	
>Environment:
	
	
System: NetBSD o2 5.0_RC2 NetBSD 5.0_RC2 (GENERIC32_IP3x) #1: Sun Feb 22 18:50:16 EST 2009
jmcneill <at> black.invisible.ca:/export/home/jmcneill/branches/netbsd-5/src/sys/arch/sgimips/compile/obj/GENERIC32_IP3x sgimips
Architecture: mipseb
Machine: sgimips
>Description:
cc -DHAVE_CONFIG_H -I. -I.. -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/lib/glib-2.0/include  
-DDBUS_API_SUBJECT_TO_CHANGE -I/usr/pkg/include/hal -I/usr/pkg/include/dbus-1.0
-I/usr/pkg/lib/dbus-1.0/include   -pthread -I/usr/pkg/include/dbus-1.0
-I/usr/pkg/lib/dbus-1.0/include -I/usr/pkg/include/glib/glib-2.0
-I/usr/pkg/lib/glib-2.0/include   -DORBIT2=1 -pthread -D_REENTRANT
-I/usr/pkg/include/libgnomeui-2.0 -I/usr/pkg/include/libart-2.0 -I/usr/pkg/include/gconf/2
-I/usr/pkg/include/gnome-keyring-1 -I/usr/pkg/include/libgnome-2.0
(Continue reading)

shinden | 1 Mar 15:05 2009
Picon

pkg/40934: xfce cannot mount cdrom or usb stick

>Number:         40934
>Category:       pkg
>Synopsis:       xfce cannot mount cdrom or usb stick
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 01 14:05:01 +0000 2009
>Originator:     Daniel Horecki
>Release:        NetBSD-5RC2
>Organization:
>Environment:
NetBSD tatooine.stars 5.0_RC2 NetBSD 5.0_RC2 (MORR) #9: Sat Feb 21 23:42:29 CET 2009 
sh <at> myrkr.stars:/home/sh/src/netbsd-5/obj/sys/arch/i386/compile/MORR i386

>Description:
I cannot mount CD-ROM drive using mount option in XFCE4. After trying to mount CD-ROM, it shows notice:
'Unable to mount "CD-ROM Disc": Given device "/org/freedesktop/Hal/devices/cd0d" is not a volume or
drive'. After trying to mount usb stick it shows notice without content. /media dir exists. lshal shows
that there are /org/freedesktop/Hal/devices/cd0d and /org/freedesktop/Hal/devices/cd0.
>How-To-Repeat:
Try to mount CD-ROM or usb stick with XFCE4.
>Fix:

kamelderouiche | 1 Mar 15:45 2009
Picon

pkg/40935: eog build failure on NetBSD/i386

>Number:         40935
>Category:       pkg
>Synopsis:       eog build failure on NetBSD/i386
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 01 14:45:00 +0000 2009
>Originator:     Deroucihe
>Release:        NetBSD 5.0_BETA
>Organization:
Algerie Motors
>Environment:
NetBSD quiver 5.0_BETA NetBSD 5.0_BETA (GENERIC) #0: Sun Jan 18 15:59:42 PST 2009 
builds <at> wb40:/home/builds/ab/netbsd-5/i386/200901180002Z-obj/home/builds/ab/netbsd-5/src/sys/arch/i386/compile/GENERIC i386

>Description:

>How-To-Repeat:
eog package fails to build on 5.0/i386

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../lib/egg -I/usr/pkg/include -I/usr/include
-I/usr/pkg/include/freetype2 -D_REENTRANT -DORBIT2=1 -pthread -I/usr/pkg/include/gtk-2.0
-I/usr/pkg/lib/gtk-2.0/include -I/usr/pkg/include/atk-1.0 -I/usr/pkg/include/cairo
-I/usr/pkg/include/pango-1.0 -I/usr/pkg/include -I/usr/pkg/include/glib/glib-2.0
-I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/pixman-1 -I/usr/pkg/include/freetype2
-I/usr/pkg/include/libpng12 -I/usr/pkg/include/libgnomeui-2.0 -I/usr/pkg/include/libart-2.0
(Continue reading)

Jared D. McNeill | 1 Mar 16:05 2009
Picon

Re: pkg/40932: gnome-power-manager build failure on 5.0/sgimips

The following reply was made to PR pkg/40932; it has been noted by GNATS.

From: "Jared D. McNeill" <jmcneill <at> invisible.ca>
To: gnats-bugs <at> NetBSD.org
Cc: gnats-admin <at> netbsd.org
Subject: Re: pkg/40932: gnome-power-manager build failure on 5.0/sgimips
Date: Sun, 01 Mar 2009 10:03:44 -0500

 It appears that gnome-power-manager 2.24.4 removes the gpm-specific 
 alignment problem, but the issues from the gstreamer0.10 SDK still exist.

jmcneill | 1 Mar 16:20 2009
Picon

Re: pkg/40934 (xfce cannot mount cdrom or usb stick)

Synopsis: xfce cannot mount cdrom or usb stick

Responsible-Changed-From-To: pkg-manager-≥reinoud
Responsible-Changed-By: jmcneill <at> NetBSD.org
Responsible-Changed-When: Sun, 01 Mar 2009 15:20:33 +0000
Responsible-Changed-Why:
Thanks Reinoud!

jnemeth | 2 Mar 08:22 2009
Picon

Re: pkg/38975 (asterisk has contrib/scripts/get_ilbc_source.sh but we have no config option to use it)

Synopsis: asterisk has contrib/scripts/get_ilbc_source.sh but we have no config option to use it

Responsible-Changed-From-To: pkg-manager-≥jnemeth
Responsible-Changed-By: jnemeth <at> NetBSD.org
Responsible-Changed-When: Mon, 02 Mar 2009 07:22:03 +0000
Responsible-Changed-Why:
I fixed it.

State-Changed-From-To: open->closed
State-Changed-By: jnemeth <at> NetBSD.org
State-Changed-When: Mon, 02 Mar 2009 07:22:03 +0000
State-Changed-Why:
I have fixed it in the asterisk16 package that I'm working on.  You can
find a copy at ftp://ftp.NetBSD.org/pub/NetBSD/misc/jnemeth/asterisk16jmn5.tgz
until it is put in the main pkgsrc tree.  This package is fully functional
but it doesn't have any hardware support which is what is holding it up
from being placed in the main pkgsrc tree.  I will not be fixing the
existing package due to significant differences in the build infrastructure.

Jörn Clausen | 2 Mar 10:35 2009
Picon
Picon

Re: pkg/40765

The following reply was made to PR pkg/40765; it has been noted by GNATS.

From: =?ISO-8859-1?Q?J=F6rn_Clausen?= <joern <at> uni-bielefeld.de>
To: gnats-bugs <at> NetBSD.org
Cc: 
Subject: Re: pkg/40765
Date: Mon, 02 Mar 2009 10:30:12 +0100

 Please close this PR. It has been fixed with graphviz-2.20.3nb1. Kudos 
 to tron for cleaning up the various problems.

Jörn Clausen | 2 Mar 11:10 2009
Picon
Picon

Re: pkg/40045

The following reply was made to PR pkg/40045; it has been noted by GNATS.

From: =?ISO-8859-1?Q?J=F6rn_Clausen?= <joern <at> uni-bielefeld.de>
To: gnats-bugs <at> NetBSD.org
Cc: 
Subject: Re: pkg/40045
Date: Mon, 02 Mar 2009 11:06:15 +0100

 This has been reported upstream and fixed in UFRaw's CVS. Until the next 
 release, please add the patch mentioned in the original PR to pkgsrc.

 -- 
   Jörn Clausen                             joern.clausen <at> uni-bielefeld.de
   Hochschulrechenzentrum                 http://www.uni-bielefeld.de/hrz/
   Universität Bielefeld

tron | 2 Mar 13:45 2009
Picon

pkg/40944: "p5-Module-Build" package has circular dependences

>Number:         40944
>Category:       pkg
>Synopsis:       "p5-Module-Build" package has circular dependences
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Mar 02 12:45:00 +0000 2009
>Originator:     Matthias Scheler
>Release:        NetBSD 5.0_RC2 pkgsrc-HEAD from 2008-03-02
>Organization:
Matthias Scheler                                  http://zhadum.org.uk/
>Environment:
System: NetBSD colwyn.zhadum.org.uk 5.0_RC2 NetBSD 5.0_RC2 (COLWYN.64) #0: Tue Feb 24 12:04:31 GMT 2009
tron <at> colwyn.zhadum.org.uk:/src/sys/compile/COLWYN.64 amd64
Architecture: x86_64
Machine: amd64
>Description:
The latest version of the "p5-Module-Build" optionally depends on these
packages:

p5-Archive-Tar
p5-Module-Signature
p5-ExtUtils-ParseXS
p5-ExtUtils-CBuilder
p5-ExtUtils-Install
p5-Pod-Readme
(Continue reading)


Gmane